Fireblocks discloses massive vulnerability affecting crypto wallets

Fireblocks said the vulnerabilities affecting Coinbase, Binance, and Zengo have since been fixed and has reached out to more than 12 others still at risk.

Read More

Share this post

Share on facebook
Share on twitter
Share on linkedin
Share on pinterest
Share on print
Share on email